Show / Hide Table of Contents

# Struct SDL.SDL_HapticEffect

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public struct SDL_HapticEffect

### Fields

| Improve this Doc View Source

#### condition

##### Declaration

    public SDL.SDL_HapticCondition condition

##### Field Value

Type | Description
--- | ---
SDL.SDL_HapticCondition |

| Improve this Doc View Source

#### constant

##### Declaration

    public SDL.SDL_HapticConstant constant

##### Field Value

Type | Description
--- | ---
SDL.SDL_HapticConstant |

| Improve this Doc View Source

#### custom

##### Declaration

    public SDL.SDL_HapticCustom custom

##### Field Value

Type | Description
--- | ---
SDL.SDL_HapticCustom |

| Improve this Doc View Source

#### leftright

##### Declaration

    public SDL.SDL_HapticLeftRight leftright

##### Field Value

Type | Description
--- | ---
SDL.SDL_HapticLeftRight |

| Improve this Doc View Source

#### periodic

##### Declaration

    public SDL.SDL_HapticPeriodic periodic

##### Field Value

Type | Description
--- | ---
SDL.SDL_HapticPeriodic |

| Improve this Doc View Source

#### ramp

##### Declaration

    public SDL.SDL_HapticRamp ramp

##### Field Value

Type | Description
--- | ---
SDL.SDL_HapticRamp |

| Improve this Doc View Source

#### type

##### Declaration

    public ushort type

##### Field Value

Type | Description
--- | ---
System.UInt16 |